<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.glxp.mipsdl.dao.basic.BasicProductsDao">
    <resultMap id="BaseResultMap" type="com.glxp.mipsdl.entity.basic.BasicProductsEntity">
        <!--@mbg.generated-->
        <!--@Table basic_products-->
        <id column="id" jdbcType="INTEGER" property="id"/>
        <result column="uuid" jdbcType="VARCHAR" property="uuid"/>
        <result column="originUuid" jdbcType="VARCHAR" property="originUuid"/>
        <result column="nameCode" jdbcType="VARCHAR" property="nameCode"/>
        <result column="deviceRecordKey" jdbcType="VARCHAR" property="deviceRecordKey"/>
        <result column="packRatio" jdbcType="VARCHAR" property="packRatio"/>
        <result column="packUnit" jdbcType="VARCHAR" property="packUnit"/>
        <result column="packLevel" jdbcType="VARCHAR" property="packLevel"/>
        <result column="bhxjsl" jdbcType="INTEGER" property="bhxjsl"/>
        <result column="bhzxxsbzsl" jdbcType="INTEGER" property="bhzxxsbzsl"/>
        <result column="zxxsbzbhsydysl" jdbcType="INTEGER" property="zxxsbzbhsydysl"/>
        <result column="bhxjcpbm" jdbcType="VARCHAR" property="bhxjcpbm"/>
        <result column="bzcj" jdbcType="VARCHAR" property="bzcj"/>
        <result column="cpmctymc" jdbcType="VARCHAR" property="cpmctymc"/>
        <result column="cplb" jdbcType="VARCHAR" property="cplb"/>
        <result column="flbm" jdbcType="VARCHAR" property="flbm"/>
        <result column="ggxh" jdbcType="VARCHAR" property="ggxh"/>
        <result column="qxlb" jdbcType="VARCHAR" property="qxlb"/>
        <result column="tyshxydm" jdbcType="VARCHAR" property="tyshxydm"/>
        <result column="ylqxzcrbarmc" jdbcType="VARCHAR" property="ylqxzcrbarmc"/>
        <result column="zczbhhzbapzbh" jdbcType="VARCHAR" property="zczbhhzbapzbh"/>
        <result column="ylqxzcrbarywmc" jdbcType="VARCHAR" property="ylqxzcrbarywmc"/>
        <result column="sydycpbs" jdbcType="VARCHAR" property="sydycpbs"/>
        <result column="sjcpbm" jdbcType="VARCHAR" property="sjcpbm"/>
        <result column="versionNumber" jdbcType="INTEGER" property="versionNumber"/>
        <result column="diType" jdbcType="TINYINT" property="diType"/>
        <result column="ybbm" jdbcType="VARCHAR" property="ybbm"/>
        <result column="sptm" jdbcType="VARCHAR" property="sptm"/>
        <result column="manufactory" jdbcType="VARCHAR" property="manufactory"/>
        <result column="measname" jdbcType="VARCHAR" property="measname"/>
        <result column="productType" jdbcType="TINYINT" property="productType"/>
        <result column="scbssfbhph" jdbcType="VARCHAR" property="scbssfbhph"/>
        <result column="scbssfbhxlh" jdbcType="VARCHAR" property="scbssfbhxlh"/>
        <result column="scbssfbhscrq" jdbcType="VARCHAR" property="scbssfbhscrq"/>
        <result column="scbssfbhsxrq" jdbcType="VARCHAR" property="scbssfbhsxrq"/>
        <result column="cpms" jdbcType="LONGVARCHAR" property="cpms"/>
        <result column="allowNoBatch" jdbcType="TINYINT" property="allowNoBatch"/>
        <result column="allowNoExpire" jdbcType="TINYINT" property="allowNoExpire"/>
        <result column="allowNoProduct" jdbcType="TINYINT" property="allowNoProduct"/>
        <result column="spmc" jdbcType="VARCHAR" property="spmc"/>
        <result column="cplx" jdbcType="VARCHAR" property="cplx"/>
        <result column="hchzsb" jdbcType="VARCHAR" property="hchzsb"/>
        <result column="cpdls" jdbcType="VARCHAR" property="cpdls"/>
        <result column="price" jdbcType="DECIMAL" property="price"/>
        <result column="basicPrductRemak1" jdbcType="VARCHAR" property="basicPrductRemak1"/>
        <result column="basicPrductRemak2" jdbcType="VARCHAR" property="basicPrductRemak2"/>
        <result column="basicPrductRemak3" jdbcType="VARCHAR" property="basicPrductRemak3"/>
        <result column="basicPrductRemak4" jdbcType="VARCHAR" property="basicPrductRemak4"/>
        <result column="basicPrductRemak5" jdbcType="VARCHAR" property="basicPrductRemak5"/>
        <result column="basicPrductRemak6" jdbcType="VARCHAR" property="basicPrductRemak6"/>
        <result column="basicPrductRemak7" jdbcType="VARCHAR" property="basicPrductRemak7"/>
        <result column="basicPrductRemak8" jdbcType="VARCHAR" property="basicPrductRemak8"/>
        <result column="createTime" jdbcType="TIMESTAMP" property="createTime"/>
        <result column="updateTime" jdbcType="VARCHAR" property="updateTime"/>
        <result column="createUser" jdbcType="VARCHAR" property="createUser"/>
        <result column="updateUser" jdbcType="VARCHAR" property="updateUser"/>
        <result column="remark" jdbcType="VARCHAR" property="remark"/>
    </resultMap>
    <sql id="Base_Column_List">
        <!--@mbg.generated-->
        id, uuid, originUuid, nameCode, deviceRecordKey, packRatio, packUnit, packLevel,
        bhxjsl, bhzxxsbzsl, zxxsbzbhsydysl, bhxjcpbm, bzcj, cpmctymc, cplb, flbm, ggxh, qxlb,
        tyshxydm, ylqxzcrbarmc, zczbhhzbapzbh, ylqxzcrbarywmc, sydycpbs, sjcpbm, versionNumber,
        diType, ybbm, sptm, manufactory, measname, productType, scbssfbhph, scbssfbhxlh,
        scbssfbhscrq, scbssfbhsxrq, cpms, allowNoBatch, allowNoExpire, allowNoProduct, spmc,
        cplx, hchzsb, cpdls, price, basicPrductRemak1, basicPrductRemak2, basicPrductRemak3,
        basicPrductRemak4, basicPrductRemak5, basicPrductRemak6, basicPrductRemak7, basicPrductRemak8,
        createTime, updateTime, `createUser`, updateUser, remark
    </sql>

</mapper>
